﻿using SnapshotWinFormsApp.Repository.Enum;
using SqlSugar;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations.Schema;

namespace SnapshotWinFormsApp.Entities.NewHotline;

/// <summary>
/// 网格员和普通随手拍人员信息
/// </summary>
[SugarTable("snapshot_user_info")]
[Description("随手拍用户信息")]
public class SnapshotUserInfo : CreationSoftDeleteEntity
{
    /// <summary>
    /// 用户自己填的邀请码
    /// </summary>
    public string? InvitationCode { get; set; }

    /// <summary>
    /// 历史已经领取金额总和(单位:元)
    /// </summary>
    public double TotalAmount { get; set; }

    /// <summary>
    /// 用户类型
    /// 注册时根据手机号码判断是否是 网格员
    /// </summary>
    public EReadPackUserType CitizenType { get; set; }

    /// <summary>
    /// 姓名
    /// </summary>
    public string? Name { get; set; }

    /// <summary>
    /// 电话号码
    /// </summary>
    public string? PhoneNumber { get; set; }
}
